# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from enum import Enum


class EntityQueryScenario(str, Enum):

    dominant_entity = "DominantEntity"
    dominant_entity_with_disambiguation = "DominantEntityWithDisambiguation"
    disambiguation = "Disambiguation"
    list = "List"
    list_with_pivot = "ListWithPivot"


class EntityScenario(str, Enum):

    dominant_entity = "DominantEntity"
    disambiguation_item = "DisambiguationItem"
    list_item = "ListItem"


class EntityType(str, Enum):

    generic = "Generic"
    person = "Person"
    place = "Place"
    media = "Media"
    organization = "Organization"
    local_business = "LocalBusiness"
    restaurant = "Restaurant"
    hotel = "Hotel"
    tourist_attraction = "TouristAttraction"
    travel = "Travel"
    city = "City"
    country = "Country"
    attraction = "Attraction"
    house = "House"
    state = "State"
    radio_station = "RadioStation"
    street_address = "StreetAddress"
    neighborhood = "Neighborhood"
    locality = "Locality"
    postal_code = "PostalCode"
    region = "Region"
    sub_region = "SubRegion"
    minor_region = "MinorRegion"
    continent = "Continent"
    point_of_interest = "PointOfInterest"
    other = "Other"
    movie = "Movie"
    book = "Book"
    television_show = "TelevisionShow"
    television_season = "TelevisionSeason"
    video_game = "VideoGame"
    music_album = "MusicAlbum"
    music_recording = "MusicRecording"
    music_group = "MusicGroup"
    composition = "Composition"
    theater_play = "TheaterPlay"
    event = "Event"
    actor = "Actor"
    artist = "Artist"
    attorney = "Attorney"
    speciality = "Speciality"
    college_or_university = "CollegeOrUniversity"
    school = "School"
    food = "Food"
    drug = "Drug"
    animal = "Animal"
    sports_team = "SportsTeam"
    product = "Product"
    car = "Car"


class ErrorCode(str, Enum):

    none = "None"
    server_error = "ServerError"
    invalid_request = "InvalidRequest"
    rate_limit_exceeded = "RateLimitExceeded"
    invalid_authorization = "InvalidAuthorization"
    insufficient_authorization = "InsufficientAuthorization"


class ErrorSubCode(str, Enum):

    unexpected_error = "UnexpectedError"
    resource_error = "ResourceError"
    not_implemented = "NotImplemented"
    parameter_missing = "ParameterMissing"
    parameter_invalid_value = "ParameterInvalidValue"
    http_not_allowed = "HttpNotAllowed"
    blocked = "Blocked"
    authorization_missing = "AuthorizationMissing"
    authorization_redundancy = "AuthorizationRedundancy"
    authorization_disabled = "AuthorizationDisabled"
    authorization_expired = "AuthorizationExpired"


class AnswerType(str, Enum):

    entities = "Entities"
    places = "Places"


class ResponseFormat(str, Enum):

    json = "Json"
    json_ld = "JsonLd"


class SafeSearch(str, Enum):

    off = "Off"
    moderate = "Moderate"
    strict = "Strict"
